# Asterisk Project : Asterisk 13 Application_SpeechActivateGrammar

Created by wikibot on Aug 08, 2014

# SpeechActivateGrammar()

### Synopsis

Activate a grammar.

### Description

This activates the specified grammar to be recognized by the engine. A grammar tells the speech recognition engine what to recognize, and how to portray it back to you in the dialplan. The grammar name is the only argument to this application.

Hangs up the channel on failure. If this is not desired, use TryExec.

### Syntax

    SpeechActivateGrammar(grammar_name)

##### Arguments

- `grammar_name`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538